// Output_7856.h: interface for the COutput_7856 class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "OutputBase.h"

class CAdlinkCommon_APS;

class COutput_7856 : public COutputBase
{
public:
    COutput_7856(const COutputSetting& Setting);
    virtual ~COutput_7856();

    // method to set analog output voltage
    BOOL SetVoltage(double dVoltage, double dRange) override;

    BOOL SetState(bool bState) override;

private:
    std::unique_ptr<CAdlinkCommon_APS> m_pCommon;
};
